Skip to main content
GET
/
vulnerability-remediations
List vulnerability remediations
curl --request GET \
  --url https://api.vanta.com/v1/vulnerability-remediations \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "pageInfo": {
      "hasNextPage": true,
      "hasPreviousPage": false,
      "startCursor": "YXJyYXljb25uZWN0aW9uOjA=",
      "endCursor": "YXJyYXljb25uZWN0aW9uOjE="
    },
    "data": [
      {
        "id": "a2f7e1b9d0c3f4e5a6c7b8d9",
        "vulnerabilityId": "a2f7e1b9d0c3f4e5a6c7b8d8",
        "vulnerableAssetId": "a2f7e1b9d0c3f4e5a6c7b8d7",
        "severity": "critical",
        "detectedDate": "2021-01-01T00:00:00.000Z",
        "slaDeadlineDate": "2021-03-01T00:00:00.000Z",
        "remediationDate": "2021-02-01T00:00:00.000Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

integrationId
string

Filter vulnerability remediations based on a specific scanner integration.

severity
enum<string>

Filter vulnerability remediations by severity. Possible values: CRITICAL, HIGH, MEDIUM, LOW. ExternalFindingSeverity describes the severity of an external finding (Vulnerability or Security Alert)

Available options:
CRITICAL,
HIGH,
LOW,
MEDIUM
isRemediatedOnTime
boolean

Filter vulnerability remediations by remediation status.

remediatedAfterDate
string<date-time>

Filter vulnerability remediations that occurred after a specific timestamp.

remediatedBeforeDate
string<date-time>

Filter vulnerability remediations that occurred before a specific timestamp.

Response

200 - application/json

Ok

results
object
required